Support Support Downloads Knowledge Base Case Manager My Juniper Community

Knowledge Base

Search our Knowledge Base sites to find answers to your questions.

Ask All Knowledge Base Sites All Knowledge Base Sites JunosE Defect (KA)Knowledge BaseSecurity AdvisoriesTechnical BulletinsTechnotes Sign in to display secure content and recently viewed articles

2018-04 Security Bulletin: Junos OS: rpd daemon cores due to malformed BGP UPDATE packet (CVE-2018-0020)

0

0

Article ID: JSA10848 SECURITY_ADVISORIES Last Updated: 11 Apr 2018Version: 2.0
Product Affected:
This issue affects Junos OS 13.2, 14.1X53, 15.1, 15.1X49, 15.1X53, 16.1, 16.2, 17.1, 17.2, 17.2X75.
Problem:

Junos OS 13.2R1 and later releases may be impacted by the receipt of a malformed BGP UPDATE which can lead to a routing process daemon (rpd) crash and restart. Receipt of a repeated malformed BGP UPDATEs can result in an extended denial of service condition for the device.
This malformed BGP UPDATE does not propagate to other BGP peers.

Affected releases are Juniper Networks Junos OS:

  • 14.1X53 versions prior to 14.1X53-D47;
  • 15.1 versions prior to 15.1F6-S10, 15.1R4-S9, 15.1R6-S6, 15.1R7;
  • 15.1X49 versions prior to 15.1X49-D130 on SRX;
  • 15.1X53 versions prior to 15.1X53-D66 on QFX10K;
  • 15.1X53 versions prior to 15.1X53-D58 on EX2300/EX3400;
  • 15.1X53 versions prior to 15.1X53-D233 on QFX5200/QFX5110;
  • 15.1X53 versions prior to 15.1X53-D471 on NFX;
  • 16.1 versions prior to 16.1R3-S8, 16.1R4-S9, 16.1R5-S3, 16.1R6-S3, 16.1R7;
  • 16.1X65 versions prior to 16.1X65-D47;
  • 16.2 versions prior to 16.2R1-S6, 16.2R2-S5, 16.2R3;
  • 17.1 versions prior to 17.1R2-S3, 17.1R3;
  • 17.2 versions prior to 17.2R1-S3, 17.2R2-S1, 17.2R3;
  • 17.2X75 versions prior to 17.2X75-D70;

Versions prior to 13.2R1 are not affected.

This issue was found during internal product security testing or research.

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.

No other Juniper Networks products or platforms are affected by this issue.

This issue has been assigned CVE-2018-0020.

Solution:

The following software releases have been updated to resolve this specific issue: 14.1X53-D47, 15.1F6-S10, 15.1R4-S9, 15.1R6-S6, 15.1R7, 15.1X49-D130, 15.1X53-D233, 15.1X53-D471, 15.1X53-D58, 15.1X53-D66, 16.1R3-S8, 16.1R4-S9, 16.1R5-S3, 16.1R6-S3, 16.1R7, 16.1X65-D47, 16.2R1-S6, 16.2R2-S5, 16.2R3, 17.1R2-S3, 17.1R3, 17.2R1-S3, 17.2R2-S1, 17.2R3, 17.2X75-D70, 17.3R1 and all subsequent releases.

This issue is being tracked as 1299199 which is visible on the Customer Support website.

Note: Juniper SIRT's policy is not to evaluate releases which are beyond End of Engineering (EOE) or End of Life (EOL)

Workaround:

While there is no workaround, the risk associated with this issue can be mitigated by limiting BGP sessions only from trusted peers.

Implementation:
Software Releases, patches and updates are available at https://www.juniper.net/support/downloads/.
Modification History:
  • 2018-04-11: Initial Publication.
CVSS Score:
7.5 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
Severity Level:
High
Severity Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."

Related Links

Affected Products Browse the Knowledge Base for more articles related to these product categories. Select a category to begin.

Getting Up and Running with Junos

Getting Up and Running with Junos Security Alerts and Vulnerabilities Product Alerts and Software Release Notices Problem Report (PR) Search Tool EOL Notices and Bulletins JTAC User Guide Customer Care User Guide Pathfinder SRX High Availability Configurator SRX VPN Configurator Training Courses and Videos End User Licence Agreement Global Search